Summary:	Text-based addressbook program for mutt
Summary(pl.UTF-8):	Tekstowa książka adresowa dla klienta pocztowego mutt
Name:		abook
Version:	0.6.1
Release:	3
License:	GPL v2+
Group:		Applications/Mail
Source0:	http://abook.sourceforge.net/devel/%{name}-%{version}.tar.gz
# Source0-md5:	4bffd4c47ac41b688abd58f65bfe0bfb
Patch0:		%{name}-tinfo_link.patch
Patch1:		%{name}-inline.patch
URL:		http://abook.sourceforge.net/
BuildRequires:	autoconf >= 2.50
BuildRequires:	automake
BuildRequires:	gettext-tools >= 0.18.1
BuildRequires:	ncurses-devel >= 5.0
BuildRequires:	readline-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Abook is a text-based addressbook program designed to use with mutt
mail client.

%description -l pl.UTF-8
Abook to pracująca w trybie tekstowym książka adresowa zaprojektowana
do użycia z programem pocztowym mutt.

%prep
%setup -q
%patch0 -p0
%patch1 -p1

%build
%{__gettextize}
%{__aclocal} -I m4
%{__autoconf}
%{__autoheader}
%{__automake}
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS BUGS ChangeLog README THANKS TODO sample.abookrc RELEASE_NOTES
%attr(755,root,root) %{_bindir}/abook
%{_mandir}/man1/abook.1*
%{_mandir}/man5/abookrc.5*
%changelog
* Thu Oct 17 2019 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/abook.git;a=log;h=master

* Thu Oct 17 2019 Arkadiusz Miśkiewicz <arekm@maven.pl> 6c0a9d9
- release 3 (by relup.sh)

* Tue Oct 18 2016 Jan Rękorajski <baggins@pld-linux.org> 35e4a03
- rebuild with readline 7.0
- release 2 (by relup.sh)

* Tue Dec 29 2015 Jan Palus <atler@pld-linux.org> 38ed68e
- up to 0.6.1

* Sun Dec 28 2014 Jan Rękorajski <baggins@pld-linux.org> 61c1ec8
- updated gettext BR

* Thu Mar 14 2013 Jakub Bogusz <qboosh@pld-linux.org> ccbfc57
- rebuild ac/am explicitly instead of rebuilding and re-running configure at make stage
- added am patch (fixes build with automake 1.13)

* Thu Mar 14 2013 Paweł Gołaszewski <blues@pld-linux.org> dafb115
- more docs

* Thu Mar 14 2013 Paweł Gołaszewski <blues@pld-linux.org> 27e1dfc
- rel.2

* Thu Mar 14 2013 Paweł Gołaszewski <blues@pld-linux.org> 36e75d8
- ea5caf0 patch from git

* Sun Feb 20 2011 Jakub Bogusz <qboosh@pld-linux.org> 437ffe4
- macro for "pre2": s/_rel/subver/

* Sun Feb 20 2011 Jakub Bogusz <qboosh@pld-linux.org> 7d277ba
- more verbose files
- GPL version

* Tue Oct 19 2010 Jan Palus <jan.palus@gmail.com> 8995710
- add vcard import patch to cvs

* Tue Oct 19 2010 Jan Palus <jan.palus@gmail.com> f067d77
- up to 0.6.0pre2
- fix linking with tinfow
- add vCard import patch
- 0.5.6-01_editor patch applied upstream

* Mon Feb 12 2007 Elan Ruusamäe <glen@pld-linux.org> 26f9b78
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> e5ea3ea
- converted to UTF-8

* Sat Nov 11 2006 piotrek <piotrek@pld-linux.org> f455aac
- added official patch for segfault in editor

* Sun Oct 29 2006 Jakub Bogusz <qboosh@pld-linux.org> d570820
- gettextize (to fix build with recent gettext)

* Sat Oct 28 2006 piotrek <piotrek@pld-linux.org> 90cfe3e
- updated to 0.5.6

* Sun Dec 25 2005 darekr <darekr@pld-linux.org> 380eb3f
- updated to 0.5.5, added %find_lang

* Sun Dec 25 2005 darekr <darekr@pld-linux.org> 9302602
- updated for 0.5.5

* Sat Sep 17 2005 Arkadiusz Miśkiewicz <arekm@maven.pl> 0725ec9
- readline 5.0

